## osmocom-bb 0.2.0.3663.5d36.202510291800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202510291800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 29 Oct 2025 18:01:41 +0000

=== debian/control ===
Source: osmocom-bb
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libosmocore-dev (>= 1.5.0),
               libosmo-csn1-dev,
               libosmo-gprs-gmm-dev,
               libosmo-gprs-llc-dev,
               libosmo-gprs-rlcmac-dev,
               libosmo-gprs-sm-dev,
               libosmo-gprs-sndcp-dev,
               libosmogapk-dev,
               osmo-gsm-manuals-dev (>= 1.6.0)
Standards-Version: 4.1.4
Vcs-Browser: https://gitea.osmocom.org/phone-side/osmocom-bb
Vcs-Git: https://gerrit.osmocom.org/osmocom-bb
Homepage: https://osmocom.org/projects/baseband/wiki

Package: osmocom-bb-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly (= 202510291800), ${misc:Depends}
Description: ${misc:Package} PDF documentation

Package: osmocom-bb-gprsdecode
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
Description: GPRS burst capture decoding utility

Package: osmocom-bb-layer23
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
Description: MS-side implementation of L2 and L3 GSM protocols

Package: osmocom-bb-osmocon
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
Description: Firmware loading and communication utility

Package: osmocom-bb-trx-toolkit
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly (= 202510291800), python3
Description: Tools for the TRX interface and emulating a virtual Um-interface

Package: osmocom-bb-trxcon
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
Description: OsmocomBB <-> SDR connection bridge

Package: osmocom-bb-virtphy
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202510301800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202510301800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 30 Oct 2025 18:01:40 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends}
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510291800), python3
+Depends: osmocom-nightly (= 202510301800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202510311800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202510311800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 31 Oct 2025 18:01:40 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends}
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510301800), python3
+Depends: osmocom-nightly (= 202510311800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511011800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511011800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 01 Nov 2025 18:01:38 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202510311800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511011800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510311800), python3
+Depends: osmocom-nightly (= 202511011800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511021800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511021800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 02 Nov 2025 18:01:42 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511011800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511021800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511011800), python3
+Depends: osmocom-nightly (= 202511021800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511031800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511031800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 03 Nov 2025 18:01:44 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511021800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511031800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511021800), python3
+Depends: osmocom-nightly (= 202511031800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511041800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511041800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 04 Nov 2025 18:01:46 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511031800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511041800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511031800), python3
+Depends: osmocom-nightly (= 202511041800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511051800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511051800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 05 Nov 2025 18:01:44 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511041800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511051800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511041800), python3
+Depends: osmocom-nightly (= 202511051800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511061800

=== src/Makefile ===

# this is not really used as we don't do 'make install'. You can still specify
# it in case you _want_ to manually 'make install' the target libosmocore.
CROSS_INST_PREFIX ?= /usr/local/stow/osmocom-bb/arm-2010.09

# this is the host tuple of your cross-toolchain
CROSS_HOST ?= $(shell which arm-elf-gcc >/dev/null 2>&1 && echo arm-elf || echo arm-none-eabi)

# this is the prefix of your cross-toolchain programs
CROSS_TOOL_PREFIX=$(CROSS_HOST)-

TOPDIR=$(shell pwd)

all: libosmocore-target nofirmware firmware mtk-firmware

nofirmware: layer23 osmocon trxcon gprsdecode virtphy

libosmocore-target: shared/libosmocore/build-target/src/.libs/libosmocore.a

shared/libosmocore/configure: shared/libosmocore/configure.ac
	cd shared/libosmocore && autoreconf -fi

shared/libosmocore/build-target:
	mkdir $@

shared/libosmocore/build-target/Makefile: shared/libosmocore/configure shared/libosmocore/build-target
	cd shared/libosmocore/build-target && ../configure \
			--host=$(CROSS_HOST) --enable-embedded --disable-shared \
			--disable-tests ac_cv_header_sys_select_h=no \
			--disable-tests ac_cv_header_sys_socket_h=no \
		CFLAGS="-Os -ffunction-sections -I$(TOPDIR)/target/firmware/include -nostartfiles -nodefaultlibs"

shared/libosmocore/build-target/src/.libs/libosmocore.a: shared/libosmocore/build-target/Makefile
	cd shared/libosmocore/build-target && make


.PHONY: osmocon
osmocon: host/osmocon/osmocon

host/osmocon/configure: host/osmocon/configure.ac
	cd host/osmocon && autoreconf -i

host/osmocon/Makefile: host/osmocon/configure
	cd host/osmocon && ./configure $(HOST_CONFARGS)

host/osmocon/osmocon: host/osmocon/Makefile
	make -C host/osmocon

.PHONY: virtphy
virtphy: host/virt_phy/virtphy

host/virt_phy/configure: host/virt_phy/configure.ac
	cd host/virt_phy && autoreconf -i

host/virt_phy/Makefile: host/virt_phy/configure
	cd host/virt_phy && ./configure $(HOST_CONFARGS)

host/virt_phy/virtphy: host/virt_phy/Makefile
	make -C host/virt_phy

.PHONY: trxcon
trxcon: host/trxcon/trxcon

host/trxcon/configure: host/trxcon/configure.ac
	cd host/trxcon && autoreconf -i

host/trxcon/Makefile: host/trxcon/configure
	cd host/trxcon && ./configure $(HOST_CONFARGS)

host/trxcon/trxcon: host/trxcon/Makefile
	make -C host/trxcon


.PHONY: layer23
layer23: host/layer23/layer23

host/layer23/configure: host/layer23/configure.ac
	cd host/layer23 && autoreconf -i

host/layer23/Makefile: host/layer23/configure
	cd host/layer23 && ./configure $(HOST_CONFARGS)

host/layer23/layer23: host/layer23/Makefile
	make -C host/layer23

.PHONY: gprsdecode
gprsdecode: host/gprsdecode/gprsdecode

host/gprsdecode/configure: host/gprsdecode/configure.ac
	cd host/gprsdecode && autoreconf -i

host/gprsdecode/Makefile: host/gprsdecode/configure
	cd host/gprsdecode && ./configure $(HOST_CONFARGS)

host/gprsdecode/gprsdecode: host/gprsdecode/Makefile
	make -C host/gprsdecode

.PHONY: firmware
firmware: libosmocore-target
	make -C target/firmware CROSS_COMPILE=$(CROSS_TOOL_PREFIX)

.PHONY: mtk-firmware
mtk-firmware: libosmocore-target
	make -C target/firmware -f Makefile.mtk CROSS_COMPILE=$(CROSS_TOOL_PREFIX)


clean:
	make -C shared/libosmocore/build-target $@
	make -C host/layer23 $@
	make -C host/osmocon $@
	make -C host/gprsdecode $@
	make -C host/virt_phy $@
	make -C host/trxcon $@
	make -C target/firmware $@
	make -C target/firmware -f Makefile.mtk $@

distclean:
	rm -rf shared/libosmocore/build-target
	make -C host/layer23 $@
	make -C host/osmocon $@
	make -C host/gprsdecode $@
	make -C host/virt_phy $@
	make -C host/trxcon $@
# 'firmware' also handles 'mtk-firmware'
	make -C target/firmware $@

=== src/target/firmware/layer1/Makefile ===

LIBRARIES+=layer1
LIB_layer1_DIR=layer1
LIB_layer1_SRCS=avg.c agc.c afc.c toa.c sync.c tdma_sched.c tpu_window.c init.c \
		l23_api.c mframe_sched.c sched_gsmtime.c async.c rfch.c

LIB_layer1_SRCS += prim_pm.c prim_rach.c prim_tx_nb.c prim_rx_nb.c prim_fbsb.c \
		   prim_freq.c prim_utils.c prim_tch.c

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511061800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 06 Nov 2025 18:01:51 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511051800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511061800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511051800), python3
+Depends: osmocom-nightly (= 202511061800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511071800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511071800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 07 Nov 2025 18:01:36 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511061800), python3
+Depends: osmocom-nightly (= 202511071800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511081800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511081800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 08 Nov 2025 18:01:33 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511071800), python3
+Depends: osmocom-nightly (= 202511081800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511091800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511091800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 09 Nov 2025 18:01:35 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511081800), python3
+Depends: osmocom-nightly (= 202511091800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511101800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511101800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 10 Nov 2025 18:01:34 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511091800), python3
+Depends: osmocom-nightly (= 202511101800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3663.5d36.202511111800

=== debian/changelog ===
osmocom-bb (0.2.0.3663.5d36.202511111800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 11 Nov 2025 18:01:37 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511101800), python3
+Depends: osmocom-nightly (= 202511111800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3666.97ae.202511121801

=== debian/changelog ===
osmocom-bb (0.2.0.3666.97ae.202511121801) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 12 Nov 2025 18:02:56 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511111800), python3
+Depends: osmocom-nightly (= 202511121801), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3666.97ae.202511131800

=== debian/changelog ===
osmocom-bb (0.2.0.3666.97ae.202511131800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 13 Nov 2025 18:01:36 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511121801), python3
+Depends: osmocom-nightly (= 202511131800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3666.97ae.202511141800

=== debian/changelog ===
osmocom-bb (0.2.0.3666.97ae.202511141800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 14 Nov 2025 18:01:32 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511131800), python3
+Depends: osmocom-nightly (= 202511141800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3666.97ae.202511151800

=== debian/changelog ===
osmocom-bb (0.2.0.3666.97ae.202511151800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 15 Nov 2025 18:01:31 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511141800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511141800), python3
+Depends: osmocom-nightly (= 202511151800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer

## osmocom-bb 0.2.0.3666.97ae.202511161800

=== debian/changelog ===
osmocom-bb (0.2.0.3666.97ae.202511161800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 16 Nov 2025 18:01:33 +0000

=== debian/control ===
--- 
+++ 
@@ -27,41 +27,41 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511151800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511161800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
 
 Package: osmocom-bb-gprsdecode
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511161800), ${misc:Depends}, ${shlibs:Depends}
 Description: GPRS burst capture decoding utility
 
 Package: osmocom-bb-layer23
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511161800), ${misc:Depends}, ${shlibs:Depends}
 Description: MS-side implementation of L2 and L3 GSM protocols
 
 Package: osmocom-bb-osmocon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511161800), ${misc:Depends}, ${shlibs:Depends}
 Description: Firmware loading and communication utility
 
 Package: osmocom-bb-trx-toolkit
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511151800), python3
+Depends: osmocom-nightly (= 202511161800), python3
 Description: Tools for the TRX interface and emulating a virtual Um-interface
 
 Package: osmocom-bb-trxcon
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511161800), ${misc:Depends}, ${shlibs:Depends}
 Description: OsmocomBB <-> SDR connection bridge
 
 Package: osmocom-bb-virtphy
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202511151800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511161800), ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom virtual physical layer
